Subject: To be, or not to be ... a MOO programmer

From: "THE BIG FAT CLOWN, WITH A BIG RED BOOK OF BAAD JOKES." <[email-masked]>
Date: Wed, 29 Apr 1992 05:57:00 -0700

Hi everyone,

I'd like to enter into this debate with a couple of points. I heard about
LambdaMoo from some friends, and went ape when I saw it, I thought it was
brilliant!!

I own an MSDOS m/c do I ftp'd the MSDOS source down from ParcFTP. I then 
started playing around with the LambdaMoo Programmers manual, and the
LambdaCore user & programmer manuals.

I then got back on the MOO only to find how limited the player was, so 
ok. I sent some mail to Haakon asking for the programmers bit, which I
got. Then I started to learn the LamdaMOO built in Utilities, I mean
$command_utils, $perms_utils etc.

As it happens my final year exam revision has caught up with me and now 
I don't have time during the next couple of months to work on my ideas.

My points ? :

1) Many people may well have had to leave things half-finished, I myself 
   am trying to develop a gallery, where text pictures of rooms can 
   provide portals to different areas of the MOO. ie. a place where other
   players can join thier own areas to the mansion, (if I am able to 
   persuade the wiz's to allow me to connect). This project is on a 
   backburner 'til after my degrees over.

2) The main reason I have enjoyed my time on the MOO has been because of 
   the usefulness of applying my mind into designing the ideas I've had.
   Without a programmers bit I doubt I would be as enthusiastic. 

also 

3) A midway status between player and builder/programmer is not that bad
   an idea, but it will not really be effective since those who aren't 
   programmers will resent the way they cannot do everything.

I hope this can engender some more discussion...

Taltos

PS Players and programmers have a quota of 20 objects, any more and you have
to get a wizards approval.